summaryrefslogtreecommitdiffstats
path: root/source/n/rpcbind/rpcbind.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/rpcbind/rpcbind.SlackBuild')
-rwxr-xr-xsource/n/rpcbind/rpcbind.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/n/rpcbind/rpcbind.SlackBuild b/source/n/rpcbind/rpcbind.SlackBuild
index 274802239..beafc6e88 100755
--- a/source/n/rpcbind/rpcbind.SlackBuild
+++ b/source/n/rpcbind/rpcbind.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rpcbind
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -84,8 +84,11 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+# git patches:
+zcat $CWD/0001-rpcinfo-Fix-stack-buffer-overflow.patch.gz | patch -p1 --verbose || exit 1
+
# Local patches:
-zcat $CWD/0001-man-rpcibind.8-Clarify-state-file-usage-and-history.patch | patch -p1 --verbose || exit 1
+zcat $CWD/0001-man-rpcibind.8-Clarify-state-file-usage-and-history.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/rpcbind.lwrap.needs.lnsl.diff.gz | patch -p1 --verbose || exit 1
# This is needed after the libwrap patch above: